VLC : NON RIESCO A VEDERE VIDEO

25 risposte [Ultimo messaggio]
Ritratto di eloiseje
eloiseje
(Junior)
Offline
Junior
Iscritto: 27/11/2012
Messaggi: 20

Buonasera a tutti
sono nuova di linux e sto..impazzendo da 2 gioni!
Ho provato in tutti i modi, con tutorial italiani e non, dal terminale, con yast, ma non riesco a visualizzare i video con VLC.
Funziona l'audio, ma non si vede nulla.

Ho SUSE Linux Enterprise Desktop 11 Novell - Sp1

Ho provato anche a reinstallare con il 1 click di Videolan, a disinstallare e reinstallare..ma NULLA!

Vi prego, c'è qualcuno così gentile da rispiegarmi, passo per passo cosa fare? Probabilmente ho incriccato qualcosa e non riesco ad uscirne..

Un grazie in anticipo :\

(neppure banshee nè kaffeine funzionano)

SUSE Linux Enterprise Desktp 11 Sp1 i586

Ritratto di eloiseje
eloiseje
(Junior)
Offline
Junior
Iscritto: 27/11/2012
Messaggi: 20

appare questo errore

VLC non supporta il formato audio o video "h264". Sfortunatamente non c'è modo di risolvere il problema.

Ho trovato altri post quì nel forum, di persone che dicono che dopo aver disinstallato e reinstallato il problema si è risolto, ma non è il mio caso! Sad

SUSE Linux Enterprise Desktp 11 Sp1 i586

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1686

Forse avrei una soluzione:

Disponi della accelerazione 2d/3d sulla tua scheda video?

Per vedere apri Konquerror e digita "sysinfo:/" sulla barra dell'url e dimmi quello che è scritto nella zona "Video".
Nerd

SO: Linux desktop Sistema: OpenSUSE Leap 15 (32bit) TDE 4 / Mate
SO: Linux desktop Sistema: OpenSUSE Leap 15 (64bit) KDE 5
Miao

Ritratto di eloiseje
eloiseje
(Junior)
Offline
Junior
Iscritto: 27/11/2012
Messaggi: 20

..konquerror?

SUSE Linux Enterprise Desktp 11 Sp1 i586

Ritratto di eloiseje
eloiseje
(Junior)
Offline
Junior
Iscritto: 27/11/2012
Messaggi: 20

ho seguito le istruzioni come da tuo link

Commento da mauriziod : Re: VLC : NON RIESCO A VEDERE VIDEO
Prova con questo:
http://www.sismi.info/configuriamo-vlc-per-i-video-streaming-in-alta-definizione-1065.html

MA
- nella versione che ho installato di VLC (1.1.13) non ci sono tutte le opzioni descritte nel link

es. questo filtro non esiste
Adesso andiamo sempre su Ingresso/codificatori ma su Altri codificatori e poi su FFmpeg. Modifichiamo a TUTTO per quanto riguarda la voce Salva il filtro di ciclo per la codifica H.264.

- settando quelle disponibili si sente sempre l'audio, ma cambia la stringa di errore (varia il formato che non può leggere

Nessun modulo decodifica appropriato:
VLC non supporta il formato audio o video "WMV1" (oppure MP4 oppure WM2, etc). Sfortunatamente non c'è modo di risolvere il problema.

..non esiste un altro programma al posto di VLC con cui riesco a vedere i video?
ah, i video su internet li vedo senza alcun problema, e così anche i dvd è solo un problema che ho con i video o filmati presi dal web e messi su pc.

Worried

SUSE Linux Enterprise Desktp 11 Sp1 i586

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1686

Esistevano dei problemi di sincronia in VLC+H264 e pensavo che fossi incappato in quelli, ma dato che usi il VLC nuovo (per questo il menu è diverso) questo problema non c'è.

WMV1-2 non è h264 ma usa una codifica simile, proprietaria, e quindi costosa.Come dire che la Panda e la Ferrari sono uguali perchè hanno entrambi 4 ruote un volante, ecc.. Non viene più utilizzato proprio per questo! Sei incappato in una eccezione particolare e mi piacerebbe sapere chi ancora sputa questo codec? Se da Emule vuol dire che è stato messo apposta per ingrassare il portafoglio di qualcuno...

VLC non lo sopporta, ma supporta MP4-codeclibre ovvero lo vedi peggio il MP4.

Puoi provare con mplayer che usa anche i formati strani anche proprietari al limite del legale.

SO: Linux desktop Sistema: OpenSUSE Leap 15 (32bit) TDE 4 / Mate
SO: Linux desktop Sistema: OpenSUSE Leap 15 (64bit) KDE 5
Miao

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1686

C'e anche Xine che supporta formati strani e proprietari come codifiche DVD & BR.
http://www.xine-project.org/home

SO: Linux desktop Sistema: OpenSUSE Leap 15 (32bit) TDE 4 / Mate
SO: Linux desktop Sistema: OpenSUSE Leap 15 (64bit) KDE 5
Miao

Ritratto di eloiseje
eloiseje
(Junior)
Offline
Junior
Iscritto: 27/11/2012
Messaggi: 20

non è che sia così semplice... non c'è un tutorial passo-passo per una neofita come me Sad
scarico xine.lib.1.2.2 e poi?
con il comando one click di yast non me lo prende, mi dice che non non è una versione compatibile
...

oppure compare questo errore

Errore durante l'inizializzazione dell'archivio software.
Dettagli:
openSUSE:Factory: [|] Non sono stati trovati metadati validi all'URL specificato
Cronologia:
- [|] Repository type can't be determined.

Riprovare

SUSE Linux Enterprise Desktp 11 Sp1 i586

Ritratto di mauriziod
mauriziod
(Guru)
Offline
Guru
Iscritto: 01/06/2009
Messaggi: 1686

Scaricati Xine (xine lib sono le sue librerie e non il programma) da Packman (sai cosa è?)
http://packman.links2linux.org/package/xine-lib
(desta in alto c'è "Click install") PER LE SOLE LIBRERIE! Prima installa Xine-ui o gXine!
http://packman.links2linux.org/search?scope=name&q=xine

Oppure da
http://software.opensuse.org/search?utf8=%E2%9C%93&q=xine&search_devel=false&search_unsupported=false&baseproject=openSUSE%3A12.2

Xine-ui (è il programma oppure quello minimale, solo come vista, di gXine) e tutto quello che sia libreria xine (in modo che vedi ogni cosa) ma qualcosa manca in quel repo e sono quelli sotto brevetto! quindi basta tornare poi in Packman per completarle.

Qui la guida:
http://it.opensuse.org/XINE

SO: Linux desktop Sistema: OpenSUSE Leap 15 (32bit) TDE 4 / Mate
SO: Linux desktop Sistema: OpenSUSE Leap 15 (64bit) KDE 5
Miao

Ritratto di eloiseje
eloiseje
(Junior)
Offline
Junior
Iscritto: 27/11/2012
Messaggi: 20

il problema di oggi (per cui poi ho disinstallato tutto) è che da questi due siti non capisco cosa devo scaricare..
es. in quello italiano che rimanda a Xine ci sono solo queste possibilità. Io ho SLED 11 SP 1
quale è compatibile?

Download per openSUSE:

* Factory
* 12.2
* 12.1
* 11.4

stessa cosa per packman, quale devo scegliere?

grazie Big Grin

SUSE Linux Enterprise Desktp 11 Sp1 i586

Ritratto di Sargon6
Sargon6
(Guru)
Offline
Guru
Iscritto: 13/11/2008
Messaggi: 723

eloiseje ha scritto:

...Nessun modulo decodifica appropriato:
VLC non supporta il formato audio o video "WMV1" (oppure MP4 oppure WM2, etc). Sfortunatamente non c'è modo di risolvere il problema.

..non esiste un altro programma al posto di VLC con cui riesco a vedere i video?
ah, i video su internet li vedo senza alcun problema, e così anche i dvd è solo un problema che ho con i video o filmati presi dal web e messi su pc.

Worried


Sinceramente non capisco perchè usare VLC quando con Kaffeine si fanno le stesse cose e meglio che con VLC.
Per scaricare i codec, ti consiglio di leggere qui
http://www.suseitalia.org/blog/sargon6/2009/12/22/opensuse-112-installare-i-codec-dei-formati-audiovideo-con-restrizioni

I CODEC per OpenSUSE 12.2 li scarichi da qui
http://opensuse-community.org/Restricted_formats/12.2

Installati i codec proprietari, dovrebbe funzionare sia VLC, sia Kaffeine. Io consiglio di usare Kaffeine, il quale è anche un pratico visualizzatore di TV
Ciao, Sargon6

Nel mio blog, ho scritto delle cose che forse ti interessano.
http://www.suseitalia.org/blog/9923